/* --------------------------------------------------------------------------------------------
 * Copyright (c) 2024 TypeFox and others.
 * Licensed under the MIT License. See LICENSE in the package root for license information.
 * ------------------------------------------------------------------------------------------ */
import { ConsoleLogger as VSCodeConsoleLogger } from '@codingame/monaco-vscode-log-service-override';
import { LogLevel } from '@codingame/monaco-vscode-api';
export class ConsoleLogger extends VSCodeConsoleLogger {
    constructor(logLevel, useColors) {
        super(logLevel ?? LogLevel.Off, useColors);
    }
    createErrorAndLog(message, ...params) {
        if (this.getLevel() >= LogLevel.Error) {
            this.error(message, ...params);
        }
        return new Error(message);
    }
}
//# sourceMappingURL=logging.js.map