/* --------------------------------------------------------------------------------------------
 * Copyright (c) 2024 TypeFox and others.
 * Licensed under the MIT License. See LICENSE in the package root for license information.
 * ------------------------------------------------------------------------------------------ */
import { getEnhancedMonacoEnvironment } from 'monaco-languageclient/vscode/services';
export const useWorkerFactory = (config) => {
    const envEnhanced = getEnhancedMonacoEnvironment();
    const getWorker = (moduleId, label) => {
        config.logger?.info(`getWorker: moduleId: ${moduleId} label: ${label}`);
        const workerFunc = config.workerLoaders?.[label] ?? undefined;
        if (workerFunc === undefined) {
            throw new Error(`Unimplemented worker ${label} (${moduleId})`);
        }
        return workerFunc();
    };
    envEnhanced.getWorker = config.getWorkerOverride ?? getWorker;
};
//# sourceMappingURL=workerFactory.js.map